# TODO:
# - make -gui subpackages (wxWidgets and Qt4 deps)
# - boost autodetection fails ($BOOSTLIBDIR empty), so all boost libs must be passed --with-boost-xxx=xxxx
#
# Conditional build
%bcond_with	verbose	# verbose build (V=1)
%bcond_without	qt	# disable GUI build (Qt4 deps)
%bcond_without	wx	# disable GUI build (wxWigets deps)
#
Summary:	Matroska video utilities
Summary(pl.UTF-8):	Narzędzia do filmów w formacie Matroska
Name:		mkvtoolnix
Version:	9.1.0
Release:	2
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.xz
# Source0-md5:	7eafd6f5a9affd35f9cbf607d8ccf9b3
Patch0:		%{name}-init_locales.patch
URL:		http://www.bunkus.org/videotools/mkvtoolnix/
%{?with_qt:BuildRequires:	Qt5Gui-devel}
BuildRequires:	autoconf
BuildRequires:	boost-devel >= 1.36
BuildRequires:	bzip2-devel
BuildRequires:	expat-devel
BuildRequires:	flac-devel
BuildRequires:	gettext-tools
BuildRequires:	libebml-devel >= 1.2.0
BuildRequires:	libmagic-devel
BuildRequires:	libmatroska-devel >= 1.1.0
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	pcre-cxx-devel
%if %{with qt}
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 4.3.3-3
%endif
BuildRequires:	ruby-rake
BuildRequires:	ruby-modules
%{?with_wx:BuildRequires:	wxGTK2-unicode-devel >= 2.6.0}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska video utilities.

%description -l pl.UTF-8
Narzędzia do filmów w formacie Matroska.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure \
	--docdir=%{_datadir}/%{name} \
	--enable-gui \
	--%{?with_wx:en}%{!?with_wx:dis}able-wxwidgets \
	--%{?with_qt:en}%{!?with_qt:dis}able-qt \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-regex=boost_regex \
	--with-boost-system=boost_system \
	%{?with_qt:--with-moc=/usr/bin/moc-qt5} \
	%{?with_qt:--with-uic=/usr/bin/uic-qt5} \
	%{?with_wx:--with-wx-config=/usr/bin/wx-gtk2-unicode-config} \
	--without-curl

LC_ALL="C.UTF-8" rake %{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT

LC_ALL="C.UTF-8" rake install \
	INSTALL="install -cp" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/sr_RS{,@latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mime/packages/mkvtoolnix.xml
%{_desktopdir}/mkvinfo.desktop
%{_desktopdir}/mkvtoolnix-gui.desktop
%{_iconsdir}/hicolor/*/apps/mkvextract.png
%{_iconsdir}/hicolor/*/apps/mkvinfo.png
%{_iconsdir}/hicolor/*/apps/mkvmerge.png
%{_iconsdir}/hicolor/*/apps/mkvtoolnix-gui.png
%{_iconsdir}/hicolor/*/apps/mkvpropedit.png
%{_mandir}/man1/*
%lang(ca) %{_mandir}/ca/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%changelog
* Sat May 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mkvtoolnix.git;a=log;h=master

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> 04bac1b
- remove unsupported local
- rel 2

* Fri May 27 2016 Jan Rękorajski <baggins@pld-linux.org> 8e95c12
- updated to 9.1.0

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 30d9f0f
- release 2 (by relup.sh)

* Fri Jun 19 2015 Jan Rękorajski <baggins@pld-linux.org> 5f26472
- updated files

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> 6580563
- ruby is pathetic, really pathetic

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> bdac4d6
- apply x32 patch

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> d1e6b0b
- fix for "rake aborted! invalid byte sequence in US-ASCII" (ruby is pathetic)

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> d553176
- fix boost detection on x32

* Thu Jun 18 2015 Jan Rękorajski <baggins@pld-linux.org> 035ba3d
- up to 7.9.0

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> 7b93532
- rebuild with boost 1.57.0
- release 2 (by relup.sh)

* Thu Feb 19 2015 Jan Rękorajski <baggins@pld-linux.org> 22a6195
- BR s/rake/ruby-rake/

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> d6e4ada
- do BR rake if it's needed

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3e3af85
- updated gettext BR

* Tue Nov 11 2014 Jan Rękorajski <baggins@pld-linux.org> a13533c
- updated files

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> 7ca3b5b
- fix files

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> 45ab063
- it's qt5 now

* Mon Nov 10 2014 Jan Rękorajski <baggins@pld-linux.org> 995cc3d
- up to 7.3.0

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> c7f3d66
- release 7 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3462d84
- rebuild with boost 1.56.0
- release 6 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 1f0bebc
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

